Conversations API
Toggle typing status
Toggles the typing status in a conversation
POST
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
/
conversations
/
{conversation_id}
/
toggle_typing
Toggle typing status
curl --request POST \
--url https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_typing \
--header 'Content-Type: application/json' \
--data '
{
"typing_status": "on"
}
'import requests
url = "https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_typing"
payload = { "typing_status": "on" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({typing_status: 'on'})
};
fetch('https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_typing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Path Parameters
The identifier obtained from API inbox channel
The source id of contact obtained on contact create
The numeric ID of the conversation
Query Parameters
Typing status, either 'on' or 'off'
Body
application/json
The typing status to set
Available options:
on, off Example:
"on"
Response
Typing status toggled successfully
⌘I
Toggle typing status
